from peewee import *

# 假设 db 已经在其他地方定义并连接到数据库
from models import db


class TgSui(Model):
    id = IntegerField(primary_key=True)  # 整型主键
    tg_id = IntegerField(null=True)  # Telegram ID，整型，可为空
    url = CharField(max_length=255, null=True)  # URL，最大长度 255，可为空
    sui_wallet_id = IntegerField(null=True)  # Sui 钱包 ID，整型，可为空
    num = IntegerField(null=True)  # Sui 钱包 ID，整型，可为空
    phone = IntegerField(null=True)  # Sui 钱包 ID，整型，可为空
    address = IntegerField(null=True)  # Sui 钱包 ID，整型，可为空
    private_key = IntegerField(null=True)  # Sui 钱包 ID，整型，可为空
    words = IntegerField(null=True)  # Sui 钱包 ID，整型，可为空

    class Meta:
        database = db  # 所属数据库
        table_name = 'tg_sui'  # 表名
